DEVICE_FOR_EACH_CHIL(9)

NAME
device_for_each_child - device child iterator.

SYNOPSIS

int device_for_each_child(struct device * parent, void * data, int (*fn) (struct device *dev, void *data));

ARGUMENTS

parent
    parent struct device.

data
    data for the callback.

fn
    function to be called for each device.

DESCRIPTION

Iterate over parent's child devices, and call fn for each, passing it data.

We check the return of fn each time. If it returns anything other than 0, we break out and return that value.

COPYRIGHT